//: $CC -DLS_LIB -c $file
#ifndef LS_ERRORC
#define LS_ERRORC
#include "ls_names.h"
#include LS_ERROR_H

ls_error::ls_error(const char *name, const char *o, char *t)
{ if(t) cerr<<name<<" "<<o<<": "<<t<<endl;
  else cerr<<name<<o<<": "<<no_memory_<<endl;
}

ls_REAL ausl(ls_REAL a, ls_REAL b) // Auslschung zweier Zahlen
{ if( !a || !b || (a*b < 0)) return (ls_REAL)(fabs(a-b));
  a = (ls_REAL)(fabs(a));
  b = (ls_REAL)(fabs(b));
  if((a < 1) && (b < 1)) return (ls_REAL)(fabs(a-b));
  return (ls_REAL)(fabs(a-b)/((a>b)? a : b));
}
#endif
